"""
pypbr.models

This module defines various Bidirectional Reflectance Distribution Function (BRDF) models
used in Physically Based Rendering (PBR).

Classes:
    CookTorranceBRDF: Implementation of the Cook-Torrance BRDF model.
"""

from .cooktorrance import BRDFModel, CookTorranceBRDF

__all__ = [
    "BRDFModel",
    "CookTorranceBRDF",
]
